package com.hzs.member.store;

import com.hzs.common.core.domain.R;
import com.hzs.member.handlebusiness.dto.AnalysisBusinessAppealParam;
import com.hzs.member.store.dto.StoreDto;

import java.util.List;

public interface ICuStoreServiceApi {

    /**
     * 查询用户开通店铺
     *
     * @param pkMember
     * @return
     */
    R<StoreDto> getMemberStore(Long pkMember);

    /**
     * 查询会员是否是国家下店铺
     *
     * @param pkMember  会员ID
     * @param pkCountry 所属国家
     * @return
     */
    R<StoreDto> getMemberStore(Long pkMember, Integer pkCountry);

    /**
     * 根据业务编号查询会员店铺信息
     **/
    R<StoreDto> getCuStoreByBusinessNo(AnalysisBusinessAppealParam analysisBusinessAppealParam);

    /*
     *  查询所有国家的店铺
     **/
    R<List<StoreDto>> queryAllMemberStore();

}
